package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsXfData;

/**
 * 消防数据Mapper接口
 *
 * @author xzzn
 * @date 2025-10-21
 */
public interface EmsXfDataMapper
{
    /**
     * 查询消防数据
     *
     * @param id 消防数据主键
     * @return 消防数据
     */
    public EmsXfData selectEmsXfDataById(Long id);

    /**
     * 查询消防数据列表
     *
     * @param emsXfData 消防数据
     * @return 消防数据集合
     */
    public List<EmsXfData> selectEmsXfDataList(EmsXfData emsXfData);

    /**
     * 新增消防数据
     *
     * @param emsXfData 消防数据
     * @return 结果
     */
    public int insertEmsXfData(EmsXfData emsXfData);

    /**
     * 修改消防数据
     *
     * @param emsXfData 消防数据
     * @return 结果
     */
    public int updateEmsXfData(EmsXfData emsXfData);

    /**
     * 删除消防数据
     *
     * @param id 消防数据主键
     * @return 结果
     */
    public int deleteEmsXfDataById(Long id);

    /**
     * 批量删除消防数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsXfDataByIds(Long[] ids);
}
